Bug 839320 - [eap6] Infinispan cache config templates are missing predefined MODE property
[eap6] Infinispan cache config templates are missing predefined MODE property
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 846458
  Show dependency treegraph
 
Reported: 2012-07-11 11:00 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846458 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:09:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-07-11 11:00:20 EDT
Description of problem: when creating 'Cache' resource under 'Cache Container' resource, there are several configuration templates. The default one is fine, others have incorrectly defined 'Mode' property (boolean/radio) which results to invalid config in UI.


Version-Release number of selected component (if applicable):
4.5.0-master

How reproducible:always


Steps to Reproduce:
1.have AS7 with infinispan subsystem
2.create a 'Cache' resource under inifnispan->hibernate cache container resource
3.choose non-default configuration template
  
Actual results: checking Mode radio is required by user


Expected results:there is pre-checked some default for Mode property


Additional info:
Comment 1 Charles Crouch 2012-08-02 18:25:21 EDT
This needs a BZ and fix for master as well as the release branch
Comment 2 Heiko W. Rupp 2012-08-09 14:21:22 EDT
I wonder if this BZ is valid at all, as it may be a good idea to force the user to set the value on purpose rather than just getting "any" value.

Anyway, as the user still can change the value later I've committed the fix to master as 77cee38
Comment 3 Heiko W. Rupp 2013-09-01 06:09:17 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.